<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	template="/WEB-INF/templates/menu_template.xhtml">

	<ui:define name="tituloPagina">#{msgCategorias.bcCategoriaListar}</ui:define>

	<ui:define name="cuerpoPagina">
		<h:form id="form">
			<p:breadCrumb>
				<p:menuitem value="#{msgCategorias.bcInicio}"
					url="${request.contextPath}/" />
				<p:menuitem value="#{msgCategorias.bcCategoria}" url="#" />
				<p:menuitem value="#{msgCategorias.bcCategoriaListar}"
					url="${request.contextPath}/categorias/listar.faces" />
			</p:breadCrumb>

			<p:growl id="messages" showDetail="true" showSummary="true"
				for="msgGrowl" escape="false" />

			<p:dataTable id="categoriaList" var="objCategoria"
				value="#{beanCategoria.getListadoCategorias()}" rows="15"
				paginator="true" paginatorPosition="bottom" multiViewState="true"
				paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
				rowsPerPageTemplate="5,10,15" lazy="true">

				<f:facet name="header">#{msgCategorias.tituloListar}</f:facet>

				<p:column headerText="#{msgCategorias.idCategoria}"
					style="width: 20%;">
					<h:outputText value="#{objCategoria.idCategoria}" />
				</p:column>

				<p:column headerText="#{msgCategorias.nombreCategoria}"
					style="width: 40%;">
					<h:outputText value="#{objCategoria.nombreCategoria}" />
				</p:column>

				<p:column headerText="#{msgCategorias.estado}" style="width: 30%;">
					<h:outputText
						value="#{beanCategoria.getEstadoNombre(objCategoria.estado)}" />
				</p:column>

				<p:column headerText="#{msgCategorias.numeroProductos}" style="width: 10%;">
					<h:outputText value="#{objCategoria.productos.size()}" />
				</p:column>

			</p:dataTable>
		</h:form>

	</ui:define>

</ui:composition>